#ifndef HTTP_H_INCLUDED
#define HTTP_H_INCLUDED 1

struct http_header {
	char *name;
	char *value;
	struct http_header *next;
};


int parse_http(char *message, struct http_header** header/*, char **body*/);

struct http_header *alloc_http_header();
int free_http_header(struct http_header *header);

void print_header(struct http_header *header);
char * find_header_value(struct http_header *header, char *name);


#endif


