#ifndef LINE_OPERATION_H_INCLUDED
#define LINE_OPERATION_H_INCLUDED 1

struct line_list {
	int start;
	int end;
	struct line_list *next;
};


struct line_state {
	char *string;
	int line;
	int end;
	struct line_list *list;
};


struct line_state * start_line_gets(char *string, char *delim);
char * line_gets(struct line_state *line);
int line_get_next_index(struct line_state *line);
int end_line_gets(struct line_state *line);

int find_string(char *string, char *tofind, int start);

char * trim(char *string);
char * substr(char *string, int start, int end);
int expand_string(char **string, int alloc_size);

#endif

